/// <reference types="react" />
import { Currency } from '@uniswap/sdk-core';
export declare function Connecting(): JSX.Element;
export declare function ConnectWallet(): JSX.Element;
export declare function UnsupportedNetwork(): JSX.Element;
export declare function InsufficientBalance({ currency }: {
    currency: Currency;
}): JSX.Element;
export declare function InsufficientLiquidity({ currency, isCrossChain, }: {
    currency: Currency | undefined;
    isCrossChain: boolean;
}): JSX.Element;
export declare function Error({ currency }: {
    currency: Currency;
}): JSX.Element;
export declare function Empty(): JSX.Element;
export declare function LoadingTrade(): JSX.Element;
export declare function LoadingPrice(): JSX.Element;
export declare function WrapCurrency({ inputCurrency, outputCurrency }: {
    inputCurrency: Currency;
    outputCurrency: Currency;
}): JSX.Element;
